Skip to content

Schedule (Template) ​

8 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getRebootScheduleListGETGet reboot schedule template list
createRebootSchedulePOSTCreate new reboot schedule template
deleteRebootScheduleDELETEDelete reboot schedule template
modifyRebootSchedulePUTModify reboot schedule template
getPortScheduleListTemplateGETGet port Schedule list
addPortScheduleTemplatePOSTCreate a new Port Schedule Template
removePortScheduleTemplateDELETEDelete Port Schedule Template
modifyPortScheduleTemplatePUTModify a Port Schedule Template

getRebootScheduleList ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/reboot-schedules

Get reboot schedule template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getRebootScheduleList",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get reboot schedule list template
The interface requires one of the permissions:
Global Site Template Manager View Only

createRebootSchedule ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/reboot-schedules

Create new reboot schedule template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema RebootScheduleTemplateOpenApiVO

FieldTypeRequiredDescription
namestringyesReboot Schedule name should contain 1 to 128 characters.
statusbooleanyesReboot Schedule status.
timeRebootScheduleTimeOpenApiVOyes(RebootScheduleTimeOpenApiVO not expanded; call omada_get_schema "RebootScheduleTimeOpenApiVO")
json
// omada_call_operation
{
  "operationId": "createRebootSchedule",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new reboot schedule template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.
-34501 - The number of RebootSchedules has reached the limit.

deleteRebootSchedule ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/reboot-schedules/{id}

Delete reboot schedule template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
idpathstringyesReboot Schedule Template ID
json
// omada_call_operation
{
  "operationId": "deleteRebootSchedule",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete reboot schedule template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33000 - This site does not exist.

modifyRebootSchedule ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/reboot-schedules/{id}

Modify reboot schedule template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
idpathstringyesReboot Schedule Template ID

Request body — application/json (required) — schema RebootScheduleTemplateOpenApiVO

FieldTypeRequiredDescription
namestringyesReboot Schedule name should contain 1 to 128 characters.
statusbooleanyesReboot Schedule status.
timeRebootScheduleTimeOpenApiVOyes(RebootScheduleTimeOpenApiVO not expanded; call omada_get_schema "RebootScheduleTimeOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyRebootSchedule",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify reboot schedule template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.

getPortScheduleListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/port-schedules

Get port Schedule list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getPortScheduleListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get port Schedule list with the given omadacId and siteTemplateId.
The interface requires one of the permissions:
Global Site Template Manager View Only

addPortScheduleTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/port-schedules

Create a new Port Schedule Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema PortOrPoeScheduleOpenApiVO

FieldTypeRequiredDescription
namestringyesPort Schedule Name should contain 1 to 128 characters.
scheduleTypeintegeryesPort Schedule Type should be 0 or 1.
statusbooleanyesPort Schedule Status.
turnOnTimestringyesTime Range ID, cannot be empty.
portsMapobjectyesKey:Mac("String"), Value:Set of Ports("Integer")
nextExecuteintegernoShow PoE Schedule next execution timestamp.
notInDstbooleannoWhen notInDst is true, not displayed in DST.
json
// omada_call_operation
{
  "operationId": "addPortScheduleTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create a new Port Schedule Template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.

removePortScheduleTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/port-schedules/{type}/{portScheduleId}

Delete Port Schedule Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
typepathstringyesPort Schedule Type. 0: POE schedule; 1: Enable Schedule.
portScheduleIdpathstringyesPort Schedule Template ID
json
// omada_call_operation
{
  "operationId": "removePortScheduleTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "type": "<type>",
    "portScheduleId": "<portScheduleId>"
  }
}
Details, permissions and error codes

Delete Port Schedule Template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.

modifyPortScheduleTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/port-schedules/{type}/{portScheduleId}

Modify a Port Schedule Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
typepathstringyesPort Schedule Type. 0: POE schedule; 1: Enable Schedule.
portScheduleIdpathstringyesPort Schedule Template ID

Request body — application/json (required) — schema PortOrPoeScheduleOpenApiVO

FieldTypeRequiredDescription
namestringyesPort Schedule Name should contain 1 to 128 characters.
scheduleTypeintegeryesPort Schedule Type should be 0 or 1.
statusbooleanyesPort Schedule Status.
turnOnTimestringyesTime Range ID, cannot be empty.
portsMapobjectyesKey:Mac("String"), Value:Set of Ports("Integer")
nextExecuteintegernoShow PoE Schedule next execution timestamp.
notInDstbooleannoWhen notInDst is true, not displayed in DST.
json
// omada_call_operation
{
  "operationId": "modifyPortScheduleTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "type": "<type>",
    "portScheduleId": "<portScheduleId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a Port Schedule Template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.